window.dashExtensions = Object.assign({}, window.dashExtensions, {
    default: {
        function0: function(feature, latlng, context) {
            const p = feature.properties;
            if (p.type === 'circlemarker') {
                return L.circleMarker(latlng, radius = p._radius)
            }
            if (p.type === 'circle') {
                return L.circle(latlng, radius = p._mRadius)
            }
            return L.marker(latlng);
        },
        function1: function(feature, context) {
            const {
                classes,
                colorscale,
                style,
                colorProp
            } = context.props.hideout; // get props from hideout
            const value = feature[colorProp]; // get value the determines the color
            for (let i = 0; i < classes.length; ++i) {
                if (parseFloat(value) > parseFloat(classes[i])) {
                    style.fillColor = colorscale[i]; // set the fill color according to the class
                }
            }
            return style;
        }
    }
});